Bug 4420 - nss_wins.so.1 - undefined symbol "nss_module_register"
nss_wins.so.1 - undefined symbol "nss_module_register"
Status: RESOLVED WORKSFORME
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.24
x86 FreeBSD
: P3 normal
: none
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-01 01:37 UTC by Antonin Vecera
Modified: 2007-12-21 09:33 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Vecera 2007-03-01 01:37:43 UTC
/etc/nsswitch.conf:
  hosts: files wins

Wins hostnames are NOT resolved and on console is written:

  ping: NSSWITCH(nss_load_module): wins, Undefined symbol "nss_module_register"

----------------------------

/usr/local/lib/nss_wins.so.1 really doesn't contain any text "nss_module_register". I think that this is required by NSSWITCH to work correctly.


Antonin Vecera
Comment 1 Timur Bakeyev 2007-05-27 11:53:44 UTC
(In reply to comment #0)

I think you are the first one, who ever noticed it :) Which shows how useful this module is :)

I can try to fix it, but I need a beta tester, as I don't use wins in my environment. Do you actually use it or tried nss_wins out of curiousity?

WBR,
Timur
Comment 2 Antonin Vecera 2007-05-28 00:23:30 UTC
(In reply to comment #1)

I used it on my home LAN.
But now I have no possibility to test it. I am sorry.

Antonin


Comment 3 C. C. Tang 2007-08-10 10:59:53 UTC
Is there anyone fixed the problem since then?
This problem make my FreeBSD not able to ping the winPCs.

I am using FreeBSD on vm and only running a simple MS network without WINS.

If there is any patch, I would be willing to help testing it.
Comment 4 Timur Bakeyev 2007-08-31 09:01:36 UTC
(In reply to comment #3)
> Is there anyone fixed the problem since then?
> This problem make my FreeBSD not able to ping the winPCs.
> 
> I am using FreeBSD on vm and only running a simple MS network without WINS.
> 
> If there is any patch, I would be willing to help testing it.

Ok, great! I'll try to spend some time over weekend to come with the patch. Thanks for volountering!

With regards,
Timur.

Comment 5 C. C. Tang 2007-09-24 20:53:34 UTC
Really thanks a lot.
Although I have only a little programming knowledge, hope that I can help. :)
Comment 6 Antonin Vecera 2007-12-21 09:33:09 UTC
Now it works for me.

I made new installation with FreeBSD 6.2 + Samba from ports.
Now I can ping my other Windows PC's on my net without having them in my DNS.

Antonin Vecera